---
title: min-height
slug: Web/CSS/min-height
tags:
  - CSS
  - CSS Property
  - Layout
  - Minimum
  - Reference
  - dimensions
  - height
  - min-height
  - 'recipe:css-property'
  - size
---
<div>{{CSSRef}}</div>

<p>The <strong><code>min-height</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the minimum height of an element. It prevents the <a href="/en-US/docs/Web/CSS/used_value">used value</a> of the {{cssxref("height")}} property from becoming smaller than the value specified for <code>min-height</code>.</p>

<div>{{EmbedInteractiveExample("pages/css/min-height.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>The element's height is set to the value of <code>min-height</code> whenever <code>min-height</code> is larger than {{cssxref("max-height")}} or {{cssxref("height")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;length&gt; value */
min-height: 3.5em;

/* &lt;percentage&gt; value */
min-height: 10%;

/* Keyword values */
min-height: max-content;
min-height: min-content;
min-height: fit-content(20em);

/* Global values */
min-height: inherit;
min-height: initial;
min-height: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;length&gt;")}}</dt>
 <dd>Defines the <code>min-height</code> as an absolute value.</dd>
 <dt>{{cssxref("&lt;percentage&gt;")}}</dt>
 <dd>Defines the <code>min-height</code> as a percentage of the containing block's height.</dd>
 <dt><code>auto</code></dt>
 <dd>The browser will calculate and select a <code>min-height</code> for the specified element.</dd>
 <dt><code>max-content</code></dt>
 <dd>The intrinsic preferred <code>min-height</code>.</dd>
 <dt><code>min-content</code></dt>
 <dd>The intrinsic minimum <code>min-height</code>.</dd>
 <dt><code>fit-content({{cssxref("&lt;length-percentage&gt;")}})</code></dt>
 <dd>Uses the <code>fit-content</code> formula with the available space replaced by the specified argument, i.e. <code>min(max-content, max(min-content, <var>argument</var>))</code>.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_min-height">Setting min-height</h3>

<pre class="brush:css; notranslate">table { min-height: 75%; }

form { min-height: 0; }
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Sizing', '#width-height-keywords', 'min-height')}}</td>
   <td>{{Spec2('CSS4 Sizing')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Sizing', '#width-height-keywords', 'min-height')}}</td>
   <td>{{Spec2('CSS3 Sizing')}}</td>
   <td>Adds the <code>max-content</code>, <code>min-content</code>, <code>fit-content</code> keywords.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'visudet.html#min-max-heights', 'min-height')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.min-height")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Box_Model/Introduction_to_the_CSS_box_model">The box model</a>, {{cssxref("box-sizing")}}</li>
 <li>{{cssxref("height")}}, {{cssxref("max-height")}}</li>
</ul>
